Market Data
Get versioned chart history references
GET
appIdheader
x-app-id<token>Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.
venueMarketOutcomeId*stringresolution?stringValue in
"1""5""60""1D"from?numberto*numbercountBack?integerRange
1 <= value <= 5000200
application/json- response
version*1Value in
1revision*stringvenueMarketOutcomeId*stringvenue*stringresolution*stringValue in
"1m""5m""1h""1d"semantics*stringValue in
"venue-ohlcv-v1""polymarket-price-samples-v1""kalshi-ohlcv-quote-fallback-v2"from*numberto*numberfinalizedThrough*numberchunks*array<>Items
items <= 8meta*curl -X GET 'https://api.t.sufwankhalid.com/charts/history/manifest?venueMarketOutcomeId=string&to=0'Example Response
{ "version": 1, "revision": "string", "venueMarketOutcomeId": "string", "venue": "string", "resolution": "1m", "semantics": "venue-ohlcv-v1", "from": 0, "to": 0, "finalizedThrough": 0, "chunks": [ { "key": "string", "url": "string", "sha256": "string", "from": 0, "to": 0, "points": 0 } ], "meta": { "state": "ready", "complete": true, "retryAfterMs": 0, "fetchedAtMs": 0, "serverTime": 0, "lastBarOpenTime": 0, "staleSeconds": 0 }}